<?php
if ( ! function_exists( 'cardealer_get_car_guru_badge_html' ) ) {
	/**
	 * Get car gurubad
	 *
	 * @param string $id .
	 */
	function cardealer_get_car_guru_badge_html( $id ) {
		global $car_dealer_options;
		if ( empty( $id ) || ! isset( $car_dealer_options['enable_carguru'] ) || ( '0' === $car_dealer_options['enable_carguru'] ) ) {
			return;
		}
		$vin = wp_get_post_terms( $id, 'car_vin_number' );
		if ( isset( $vin[0]->name ) && ! empty( $vin[0]->name ) ) {
			$price_arr = cardealer_get_car_price_array( $id );
			if ( ! empty( $price_arr ) ) {

				$final_price = $price_arr['regular_price'];
				if ( 0 < $price_arr['sale_price'] ) {
					$final_price = $price_arr['sale_price'];
				}
				return '<span class="cd-vehicle-gurus" data-cg-vin="' . esc_attr( $vin[0]->name ) . '" data-cg-price="' . esc_attr( $final_price ) . '"></span>';
			}
		}
	}
}

add_filter( 'cardealer_vrs_link_html', 'cardealer_update_stamp_html', 10, 2 );
if ( ! function_exists( 'cardealer_update_stamp_html' ) ) {
	/**
	 * Update stamp html
	 *
	 * @param string $html .
	 * @param string $id .
	 */
	function cardealer_update_stamp_html( $html, $id ) {
		$carguru_html = cardealer_get_car_guru_badge_html( $id );
		if ( ! empty( $carguru_html ) ) {
			$html .= $carguru_html;
		}
		return $html;
	}
}

/**
 * Add Theme Options.
 */
function car_dealer_options__cargurus_settings( $opt_name ) {
	Redux::setSection(
		$opt_name,
		array(
			'title'            => esc_html__( 'CarGurus Settings', 'cardealer-helper' ),
			'id'               => 'cargurus_settings',
			'subsection'       => true,
			'customizer_width' => '450px',
			'icon'             => 'fas fa-chevron-right',
			'fields'           => array(
				array(
					'id'    => 'carguru_notice',
					'type'  => 'info',
					'style' => 'info',
					'title' => esc_html__( 'Note: ', 'cardealer-helper' ),
					'desc'  => esc_html__( 'The CarGurus badge requires an active subscription to CarGurus.', 'cardealer-helper' ),
				),
				array(
					'title'   => esc_html__( 'Enable CarGuru', 'cardealer-helper' ),
					'desc'    => esc_html__( 'Enable / Disable CarGuru feature', 'cardealer-helper' ),
					'id'      => 'enable_carguru',
					'type'    => 'button_set',
					'options' => array(
						'1' => esc_html__( 'Yes', 'cardealer-helper' ),
						'0' => esc_html__( 'No', 'cardealer-helper' ),
					),
					'default' => '0',
				),
				array(
					'title'    => esc_html__( 'Minimum Rating', 'cardealer-helper' ),
					'desc'     => esc_html__( 'Minimum rating to display for vehicles', 'cardealer-helper' ),
					'id'       => 'carguru_minimum_rating',
					'type'     => 'button_set',
					'options'  => array(
						'GREAT_PRICE' => esc_html__( 'Great Deal', 'cardealer-helper' ),
						'GOOD_PRICE'  => esc_html__( 'Good Deal', 'cardealer-helper' ),
						'FAIR_PRICE'  => esc_html__( 'Fair Deal', 'cardealer-helper' ),
					),
					'default'  => 'FAIR_PRICE',
					'required' => array( 'enable_carguru', '=', '1' ),
				),
				array(
					'title'         => esc_html__( 'Height', 'cardealer-helper' ),
					'desc'          => esc_html__( 'Height of badges(in pixels).', 'cardealer-helper' ),
					'id'            => 'carguru_badge_height',
					'type'          => 'slider',
					'default'       => '40',
					'min'           => 40,
					'max'           => 200,
					'step'          => 1,
					'display_value' => 'text',
					'required'      => array( 'enable_carguru', '=', '1' ),
				),
			),
		)
	);
}
add_action( 'car_dealer_options_after_vehicle_settings', 'car_dealer_options__cargurus_settings' );
